profile
viewpoint

wftracker/wake 1

A basic encryption and decryption algorithm for the Warface's wake.

Kavan72/auroraserver 0

Эмулятор сервера по Warface. Форк WarTLS! Используется на пиратском сервере Mind Of War

Kavan72/DED_Helper 0

Helper (Hook) damage for Warface / Хук урона для Warface

Kavan72/react-native-phone-input 0

Phone input box for React Native

Kavan72/warface-address-dumper 0

Address Dumper for Warface EU/NA 64bit

Kavan72/Warface-External 0

The source code of the external cheat for the game Warface with a working bypass of the game's protection system.

Kavan72/WebWhatApi 0

An API for sending and receiving messages over web.whatsapp [Working as of 18th May 2018]

issue openedaltdesktop/python-dbus-next

Expose connection state

Problem: Currently, there is no variable or method to instantaneously check whether or not the dbus connection is alive. There is only bus.wait_for_disconnect(), which will wait for a disconnect rather than immediately return whether or not the connection is active.

Workaround: One way to do this with the current release is bus._disconnect_future.done(), but this requires a private instance variable.

Proposal: Expose a public variable or method that allows a user to check if the bus is connected. For example, bus.is_connected():

def is_connected() -> bool:
    return not self._disconnect_future.done()

created time in a day

push eventaltdesktop/python-dbus-next

Stergios Hetelekides

commit sha e46e0145a8d2aa1157c3894edc45ee76d1e3e509

Ensure future is not done when setting exception This is needed to properly handle asyncio timeouts. If the future is already done, then set_exception will raise an exception and the `self.bus._finalize` call will not be reached.

view details

Tony Crisci

commit sha f54e2c51d031e216f16c5d1684681438540fc5e9

Merge pull request #73 from hetelek/user/hetelek/fix-asyncio-wait-for Ensure future is not done when setting exception

view details

push time in a day

PR merged altdesktop/python-dbus-next

Ensure future is not done when setting exception

This is needed to properly handle asyncio timeouts. If the future is already done, then set_exception will raise an exception and the self.bus._finalize call will not be reached.

I ran into this failure mode when wrapping bus.call in asyncio.wait_for: await asyncio.wait_for(bus.call(...), timeout=10)

If the timeout was reached, it would cause an infinite loop of errors:

Traceback (most recent call last):
  File "asyncio/events.py", line 127, in _run
  File "site-packages/dbus_next/aio/message_bus.py", line 63, in write_callback
asyncio.base_futures.InvalidStateError: invalid state
2020-11-25 12:05:01,578 - asyncio - ERROR - Exception in callback _MessageWriter.write_callback()
handle: <Handle _MessageWriter.write_callback()>
Traceback (most recent call last):
  File "site-packages/dbus_next/aio/message_bus.py", line 51, in write_callback
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

...
+1 -1

1 comment

1 changed file

hetelek

pr closed time in a day

pull request commentaltdesktop/python-dbus-next

Ensure future is not done when setting exception

:+1:

hetelek

comment created time in a day

PR opened altdesktop/python-dbus-next

Ensure future is not done when setting exception

This is needed to properly handle asyncio timeouts. If the future is already done, then set_exception will raise an exception and the self.bus._finalize call will not be reached.

+1 -1

0 comment

1 changed file

pr created time in a day

issue closedaltdesktop/python-dbus-next

Can't connect to system bus after migrating from 0.1.4 to 0.2.1

Hi, After migration i've got the following error in logs : exception=DBusError('Connection ":1.1219" is not allowed to own the service "xx.yy.zz..." due to security policies in the configuration file') Ofc my configuration is ok ... and worked fine with all previous releases. Any idea ? TIA

closed time in 14 days

bibi21000

issue commentaltdesktop/python-dbus-next

Can't connect to system bus after migrating from 0.1.4 to 0.2.1

i aplogize ... problem was between screen and keyboard ... me ))) I had propagated a bad configuration file for DBus on our CI server. Ty a lot for this lib

bibi21000

comment created time in 14 days

delete branch altdesktop/python-dbus-next

delete branch : doctest

delete time in 17 days

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha ccc24f1d302f7c359a4a2ff3a57cac6770bfa1a4

attempt doc fix with pip freeze

view details

push time in 17 days

create barnchaltdesktop/python-dbus-next

branch : doctest

created branch time in 17 days

pull request commentaltdesktop/python-dbus-next

Add __repr__ for introspection classes

We have one of these for a Variant. All the repr functions should follow the same convention.

https://github.com/altdesktop/python-dbus-next/blob/7ba68bb40b8a21fa28b02c633c066e948bb18ce4/dbus_next/signature.py#L417-L418

https://docs.python.org/3/reference/datamodel.html#object.repr

Also make sure to only use this for debugging. I don't want to define an exact value for these in the library contract.

rytilahti

comment created time in 17 days

PR opened altdesktop/python-dbus-next

Add __repr__ for introspection classes

Makes it easier to use a debugger (or print() statements) to explore the introspection data.

  • Interfaces: <Interface org.freedesktop.ScreenSaver: 10 methods, 1 signals, 0 properties>
  • Properties: <Property doubleClickInterval[PropertyAccess.READWRITE]: i)>
  • Methods: <Method Get([<Arg interface_name[ArgDirection.IN] (s)>, <Arg property_name[ArgDirection.IN] (s)>]) -> [<Arg value[ArgDirection.OUT] (v)>]>
+17 -0

0 comment

1 changed file

pr created time in 19 days

issue openedaltdesktop/python-dbus-next

export multiple interfaces from a ServiceInterface

Right now it's not possible to define methods on a single class that map to different interfaces. An example of how this is useful is how a ServiceInterface also implements the standard DBus interfaces such as the properties interface. Right now that's all done by the library.

One solution might be to add a member to the annotations to specify an interface name.

@method(interface_name='org.iface1')
def method1(self):
    pass

@method(interface_name='org.iface2')
def method2(self):
    pass

And a similar member for signals and properties. We can make that optional and take the constructor param as the default interface_name for backwards compatibility.

Another possibility to investigate is to use the python class inheritance system. However, in this case, it would require a class decorator to specify the interface name. Something like this (although this definitely would need some thought):

@DBusInterface(interface_name='org.iface1')
class Iface1(ServiceInterface):
    # ...
    pass

@DBusInterface(interface_name='org.iface2')
class Iface2(ServiceInterface):
    # ...
    pass

class Iface3(Iface1, Iface2):
    # ...
    pass

created time in 20 days

issue commentaltdesktop/python-dbus-next

Can't connect to system bus after migrating from 0.1.4 to 0.2.1

I can't think of anything in this release that would affect that. The message was sent and received successfully, so it's possible the error message is valid. The majority of the testing is for the session bus, but I have a test suite in a project I'm using that takes a name on the system bus and I'm not having a problem with it.

If you have a simple setup I can use to reproduce the error, I'll check it out and add it to the test suite.

bibi21000

comment created time in 21 days

issue openedaltdesktop/python-dbus-next

Can't connect to system bus after migrating from 0.1.4 to 0.2.1

Hi, After migration i've got the following error in logs : exception=DBusError('Connection ":1.1219" is not allowed to own the service "xx.yy.zz..." due to security policies in the configuration file') Ofc my configuration is ok ... and worked fine with all previous releases. Any idea ? TIA

created time in 21 days

created tagaltdesktop/python-dbus-next

tagv0.2.1

🚌 The next great DBus library for Python with asyncio support

created time in 24 days

release altdesktop/python-dbus-next

v0.2.1

released time in 24 days

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha 7ba68bb40b8a21fa28b02c633c066e948bb18ce4

bump to version 0.2.1 See the CHANGELOG for more details.

view details

push time in 24 days

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha c169a89e9d73643ffe1ba06d0f5b2b42bb3632a3

fix old repo links

view details

Tony Crisci

commit sha 6eee9f7626b12cced5b118faba9c4e2630b57312

document unix file descriptors

view details

push time in a month

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha 302511b3f9de1caf29b4e86bee6cbd57503552ae

aio: return a future from send

view details

Tony Crisci

commit sha ab01ab12e384c2379deb20aa47205450735aebfb

aio: add wait_for_disconnect()

view details

Tony Crisci

commit sha 664fc60f5859111d920cdcffd4666d4540303806

Merge branch 'master' of github.com:acrisci/python-dbus-next

view details

push time in a month

push eventaltdesktop/python-dbus-next

Dan Trickey

commit sha c65d4c2389fcde291ce772a950d37aca8aa9b436

Implement PEP 561 to indicate inline type hints Fixes #30

view details

Tony Crisci

commit sha 057d098faeed9adf28a95d7e1be1927591ad3796

Merge pull request #69 from trickeydan/master Implement PEP 561 to indicate inline type hints

view details

push time in a month

issue closedaltdesktop/python-dbus-next

PEP561 Inline Type Hints

This project uses inline type hints, and it would be great to able to make use of them in projects utilising this library.

The procedure for this is described in PEP 561, but essentially boils down to adding a py.typed file into the module.

Once this has been added, you can also add the Typing :: Typed trope to the package on PyPI.

(Aside: This project looks awesome and I have a team that would be interested in contributing, let me know if that is of interest.)

closed time in a month

trickeydan

pull request commentaltdesktop/python-dbus-next

Implement PEP 561 to indicate inline type hints

:+1:

trickeydan

comment created time in a month

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha 166bd7196635292e90b7ecb82b70a4a84cf0749f

unix fd implementation for proxy object

view details

push time in a month

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha c6f7e7aa63f2601de0bbe16dce73ad2f20617146

unix fd passing for service properties and signals

view details

push time in a month

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha 8f8b65bac54b493524fc09acea2c7160959f1cbd

aio: handle errors in hello message

view details

Tony Crisci

commit sha e46b0f331d15f4397ff8410d064344bd42bcb522

add test for low level fd passing

view details

Tony Crisci

commit sha c5b59b6117cd021a13d058dfbd1b33a7f0fd4953

aio: implement fd passing for high level service

view details

push time in a month

push eventaltdesktop/python-dbus-next

Tony Crisci

commit sha 6d5b7ec91a40a0eac9e48b81058f852094f05efb

aio: fix low level unix fd passing

view details

push time in a month

issue closedaltdesktop/python-dbus-next

dbus_next.errors.DBusError: ipv4.addresses: this property cannot be empty for 'method=manual'

Hey, I'm trying to configure an IPv4 connection of network manager. Have you by coincidence ever tried that? I have no clue what I'm doing wrong.

I actually posted that issue already on SO but I just thought that maybe you guys might have done something similar already and would like to draw your attention to that issue :) https://stackoverflow.com/questions/64326479/dbus-next-errors-dbuserror-ipv4-addresses-this-property-cannot-be-empty-for-m

Other features like adding/removing/activating connections work completely flawless. But this is giving me a considerable pain in the ass.

closed time in a month

HerrMuellerluedenscheid
more